DCMTK - Feature #415

Log-Ausgabe des Source-Dateinamens enthalt u. U. den kompletten Pfad
2012-05-10 10:23 - J6rg Riesmeier

Status: Closed Start date: 2012-05-10
Priority: Normal Due date:

Assignee: Uli Schlachter % Done: 0%
Category: Library Estimated time: 0:00 hour

Target version:
Module: oflog Compiler:

Operating System:

Description
Die Ausgabe unter Windows sieht z. B. wie folgt aus:
2012-05-09 16:24:27.105 DEBUG - wlcedb / ..\..\..\dcmtk_all 20120509\dcmwlmxl\apps\wlcedb.cc:308 -

Sdcemtk: wlmscpdb v3.6.1 2012-05-09 $
2012-05-09 16:24:27.105 DEBUG — wlcedb / ..\..\..\dcmtk_all_20120509\dcmwlmx]l\apps\wlcedb.cc:308 -

Unter Linux erscheint nur bei Header-Dateien der relative Pfad zur jeweiligen Datei:

2012-05-10 10:21:29.622 DEBUG - dcmimgle - didocu.cc:125 - transfer syntax of DICOM dataset: Littl
e Endian Explicit (1.2.840.10008.1.2.1)

2012-05-10 10:21:29.622 DEBUG - dcmimgle - ../include/dcmtk/dcmimgle/diinpxt.h:434 - reading uncom
pressed pixel data completely into memory
2012-05-10 10:21:29.623 DEBUG - dcmimgle - ../include/dcmtk/dcmimgle/diinpxt.h:499 - convert input

pixel data: case 2a (simple mask)
2012-05-10 10:21:29.628 DEBUG - dcmimgle - diimage.cc:612 - detach pixel data
2012-05-10 10:21:29.632 INFO - dcm2pnm - dcm2pnm.cc:1540 - cleaning up memory

Frage: Soll das so bleiben? Es sieht ja irgendwie unschén aus ...

History

#1 - 2012-06-20 13:53 - J6rg Riesmeier

Man kénnte nattrlich die letzte Namenskomponente (nach evtl. vorhandenem PATH_SEPARATOR) von '__FILE__' abtrennen, etwa mit strrchr()
oder OF Standard::getFilenameFromPath().

#2 - 2012-08-24 12:01 - Uli Schlachter

- File just_filename.patch added

The attached patch makes oflog only print the file name and not the full path, as given by FILE. I'm unsure about comitting this, because this would be
one more difference between our code and upstream log4cplus. I'll see if something like this can be added directly to log4cplus.

#3 - 2012-09-04 09:06 - JOorg Riesmeier
- Category set to Library

- Status changed from New to Assigned

It seems that there is already an official solution for this (using pattern "%b"):
http://sourceforge.net/tracker/?func=detail&aid=3537695&group_id=40830&atid=429076

#4 - 2013-01-15 13:18 - Uli Schlachter

- Status changed from Assigned to Closed

Now that we use log4cplus 1.1.0, pattern %b is available and can be used.

Files

just_filename.patch 826 Bytes 2012-08-24 Uli Schlachter
